/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\Craftable artys\ml peerless\PendantOfTheMagi.cs
Lines of code: 62
***********************************************************/


using System;

namespace Server.Items
{
	public class  PendantOfTheMagiRecipe : BaseRecipe
	{
	
		[Constructable]
		public PendantOfTheMagiRecipe()
		{		
		//InitRequirements();
		}
		
		
		//overrides:
		
		public override Type CraftedItem { get { return typeof(PendantOfTheMagi); } }
		public override string artyname { get { return "Pendant Of The Magi"; } }
		
		
	
		public override void InitRequirements()
		{
		base.InitRequirements(); //MUST be first! 
		
		//add required skills:
		
		RequiredSkills.Add(new ReqSkill(SkillName.Tinkering,100));
		
		//add required resources		

		CommonResources.Add(new ReqRes("Ingot",typeof(IronIngot),2));		
		CommonResources.Add(new ReqRes("Star Sapphire",typeof(StarSapphire),50));		
		
		RareResources.Add(new ReqRes("Eye of Travesty",typeof(EyeOfTheTravesty),1));		
		RareResources.Add(new ReqRes("White Pearl",typeof(WhitePearl),5));				
		}	

			
	
		public PendantOfTheMagiRecipe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}	
		
	}
	
	
	public class PendantOfTheMagi : GoldNecklace
	{
		public override int LabelNumber{ get{ return 1072937; } } // Pendant of the Magi

		[Constructable]
		public PendantOfTheMagi()
		{
			Hue = 0x48D;
			Attributes.BonusInt = 10;
			Attributes.RegenMana = 3;
			Attributes.SpellDamage = 5;
			Attributes.LowerManaCost = 10;
			Attributes.LowerRegCost = 30;
		}

		public PendantOfTheMagi( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}
